#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: SafeSemaphore
version: 0.10.1
id: SafeSemaphore-0.10.1-L6BoKcfcmRIAL8jeZnx3FV
key: SafeSemaphore-0.10.1-L6BoKcfcmRIAL8jeZnx3FV
license: BSD3
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description:
    This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
    Those base modules are not exception safe and can be broken by killThread.
    See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
indefinite: False
exposed-modules:
    Control.Concurrent.FairRWLock Control.Concurrent.MSampleVar
    Control.Concurrent.MSem Control.Concurrent.MSemN
    Control.Concurrent.MSemN2 Control.Concurrent.SSem
    Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
abi: e23cb946456c452239403e16c192fea1
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/SafeSemaphore-0.10.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/SafeSemaphore-0.10.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/SafeSemaphore-0.10.1
hs-libraries: HSSafeSemaphore-0.10.1-L6BoKcfcmRIAL8jeZnx3FV
depends:
    base-4.10.1.0 containers-0.5.10.2
    stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw=05affb1c34b776a775422ef4ed6b6def
haddock-interfaces: /usr/share/doc/haskell-safesemaphore/html/SafeSemaphore.haddock
haddock-html: /usr/share/doc/haskell-safesemaphore/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

